%
% anyremote configuration file for kdialog --msgbox management.
% Version for Siemens S55/S65 and BenqSiemens EL71
% thanks to Artem Zolochevskiy
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Siemens test
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=AT
GuiAppDesc=Simple example of configuration file. Tuned for Siemens phones.

[Protocol]=AT

% Green button
S=Make(disconnect);

% Red button
E=Exit

(InCall)=Exec(kdialog --msgbox "A call from $(CallId)");Make(remote,off)
(EndCall)=Make(remote,on);Exec(kdialog --msgbox CALL_END)

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,true);\
	Macro(CHECK_RFCOMM_DEVICE);\
	Make(var,ToMainMenu,by_value,E);
        
(Connect)=Exec(kdialog --msgbox Connected)
(Disconnect)=Exec(kdialog --msgbox Disconnected)

*  * =Exec(F="$HOME/.anyRemote/anyrem.hlp";echo "Just press buttons and inspect results" > $F);\
	Macro(SHOW_HELP);
42 42=Exec(F="$HOME/.anyRemote/anyrem.hlp";echo "Use kdialog.sagem.cfg instead !" > $F);\
	Macro(SHOW_HELP);

1=Exec(kdialog --msgbox 1);
2=Exec(kdialog --msgbox 2);
3=Exec(kdialog --msgbox 3);
4=Exec(kdialog --msgbox 4);
5=Exec(kdialog --msgbox 5);
6=Exec(kdialog --msgbox 6);
7=Exec(kdialog --msgbox 7);
8=Exec(kdialog --msgbox 8);
9=Exec(kdialog --msgbox 9);
0=Exec(kdialog --msgbox 0);
*=Exec(kdialog --msgbox Star);
#=Exec(kdialog --msgbox Hash);

[=Exec(kdialog --msgbox SoftLeft);
]=Exec(kdialog --msgbox SoftRight);

M=Exec(kdialog --msgbox Record);
:O=Exec(kdialog --msgbox "MyMenu/Music");

+=Exec(kdialog --msgbox VolUp);
-=Exec(kdialog --msgbox VolDown );
:+=Exec(kdialog --msgbox VolUp);
:-=Exec(kdialog --msgbox VolDown );

F=Exec(kdialog --msgbox JoystickPush);
^=Exec(kdialog --msgbox JoystickUp);
V=Exec(kdialog --msgbox JoystickDown);
<=Exec(kdialog --msgbox JoystickLeft);
>=Exec(kdialog --msgbox JoystickRight);

%BenqSiemens specific
:X15=Exec(kdialog --msgbox "Fast dialing key");
:P=Exec(kdialog --msgbox "Camera key");
:X17=Exec(kdialog --msgbox "Slider opened");
:X19=Exec(kdialog --msgbox "Slider closed");
:X1D=Exec(kdialog --msgbox "Play button");



[End]
